JavaScript API Reference
Class Index | File Index

## Classes

- wm
- wm.Bounds
- wm.Component
- wm.Container
- wm.Control
- wm.DataGrid
- wm.DataGridColumn
- wm.Dijit
- wm.expression
- wm.LiveForm
- wm.LiveVariable
- wm.LiveView
- wm.MavericksModel
- wm.NavigationCall
- wm.NavigationService
- wm.Object
- wm.Panel
- wm.Service
- wm.ServiceVariable
- wm.Variable

# Class wm.ServiceCall

Defined in: ServiceCall.js.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| wm.ServiceCall() Infrastructure for encapsulating a wm.Service configuration with a trigger to invoke the configured service.

Property Summary
Property Attributes | Property Name and Description
--- | ---
Note: to support bindings it is recommend that you use the getValue/setValue API to access or modify properties.
| autoUpdate Set true to automatically update this service when the service configuration or input is modified.
| operation Name of the operation to invoke on the service.
| service Name of the service called by this object.
| startUpdate Set true to automatically update this service when it's created.

Method Summary
Method Attributes | Method Name and Description
--- | ---
| canUpdate() Return a boolean value used to determine if the service can be updated.
| onBeforeUpdate(ioInput) onBeforeUpdate event fires before a service is invoked.
| onCanUpdate(ioUpdate) onCanUpdate event fires before a service is invoked.
| onError(inData) onError event fires whenever a service reports an error.
| onResult(inData) onResult event fires whenever a service returns, whether the service returned successfully or reported an error.
| onSuccess(inData) onSuccess event fires whenever a service returns successfully.
| update() Invoke the service.

Class Detail
wm.ServiceCall()
Infrastructure for encapsulating a wm.Service configuration with a trigger to invoke the configured service.
Report errata or suggestions for ServiceCall.
Property Detail
Note: to support bindings it is recommend that you use the getValue/setValue API to access or modify properties.
{String} autoUpdate
Set true to automatically update this service when the service configuration or input is modified.
Report errata or suggestions for autoUpdate.

{String} operation
Name of the operation to invoke on the service.
Report errata or suggestions for operation.

{String} service
Name of the service called by this object.
Report errata or suggestions for service.

{String} startUpdate
Set true to automatically update this service when it's created.
Report errata or suggestions for startUpdate.
Method Detail
canUpdate()
Return a boolean value used to determine if the service can be updated. Use the onCanUpdate, event to control the output of canUpdate.
Report errata or suggestions for canUpdate.

onBeforeUpdate(ioInput)
onBeforeUpdate event fires before a service is invoked.

Parameters:
{wm.ServiceInput} ioInput
  The input object used to determine what data will be passed to the service.

Report errata or suggestions for onBeforeUpdate.

onCanUpdate(ioUpdate)
onCanUpdate event fires before a service is invoked.

Parameters:
{Any} ioUpdate
  An object containing a canUpdate flag. Setting this flag to false will prevent the service from updating.

Report errata or suggestions for onCanUpdate.

onError(inData)
onError event fires whenever a service reports an error.

Parameters:
{Any} inData
  Result data. The format of this data on the service.

Report errata or suggestions for onError.

onResult(inData)
onResult event fires whenever a service returns, whether the service returned successfully or reported an error.

Parameters:
{Any} inData
  Result data. The format of this data on the service.

Report errata or suggestions for onResult.

onSuccess(inData)
onSuccess event fires whenever a service returns successfully.

Parameters:
{Any} inData
  Result data. The format of this data on the service.

Report errata or suggestions for onSuccess.

update()
Invoke the service. Use the onResult, onSuccess, and/or onError events to monitor the outcome of the service call.
Report errata or suggestions for update.

Documentation generated by JsDoc Toolkit 2.0.1 on Wed Jun 03 2009 13:28:38 GMT-0700 (PDT)